## org.apache.poi.util
Interface DelayableLittleEndianOutput

All Superinterfaces:
  LittleEndianOutput

All Known Implementing Classes:
  LittleEndianByteArrayOutputStream

    public interface DelayableLittleEndianOutput

extends LittleEndianOutput

Implementors of this interface allow client code to 'delay' writing to a certain section of a data output stream.
A typical application is for writing BIFF records when the size is not known until well after the header has been written. The client code can call `createDelayedOutput(int)` to reserve two bytes of the output for the 'ushort size' header field. The delayed output can be written at any stage.

Author:
  Josh Micich

Method Summary
`LittleEndianOutput` `createDelayedOutput(int size)` Creates an output stream intended for outputting a sequence of `size` bytes.

Methods inherited from interface org.apache.poi.util.LittleEndianOutput
`write, write, writeByte, writeDouble, writeInt, writeLong, writeShort`

Method Detail

### createDelayedOutput

    LittleEndianOutput createDelayedOutput(int size)

  Creates an output stream intended for outputting a sequence of `size` bytes.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.